<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: Data Point Selector Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwDpeSelector.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to select which data point elements to configure
        from a list of data point elements.</p>
      <p>This is useful in situations where you have loaded a fwConfigs panel
        to adjust some configs on data point elements and they are of different
        data types and can not all be configured at the same time. By using this
        panel, you can choose a subset of the original list that can all be configured
        in one go.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When the panel loads up, it  shows a list of all
          the data point elements that you are trying to configure. Alongside
          each data point element name, there is the data point element type
          and a column that indicates if the element is currently selected to be in 
          the list of elements to configure.</p>
        <p>By pressing in the &quot;Selected&quot; column on a row, you can toggle whether
          or not the data point element should be in the list of data
          point elements to be configured. &quot;Y&quot; indicates that it is selected
          and &quot;N&quot; means it is not.</p>
        <p>When all the data point elements are selected as required,
          you press &quot;OK&quot; to return to the configuration panel, with the new list
          of data point elements to be set. &quot;Cancel&quot; returns to the configuration
          panel without making any changes to the
          list of
          data point elements to be configured.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>None<br>
        </p>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="584" height="359" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwDpeSelector.jpg" alt="Panel screenshot" width="578" height="353" style="width: 578px; height: 353px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$dsAllDpes</td>
      <td><p>The list of data point elements which should be shown in table.</p>
        <p>You
          should pass a list in the same format as the PVSS dyn_string, i.e.dpe1
          | dpe2 | dpe3<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$dsIncludedDpes</td>
      <td><p>The list of data point elements which should be marked as already
          included when shown in table.</p>
        <p>You should pass a list in the same format as the PVSS dyn_string,
          i.e.dpe1 | dpe2 | dpe3</p></td>
      <td>Required<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
